ChartDirector Ver 5.0 (PHP Edition)

PolarVectorLayer.setVector

Usage

setVector(lengths, directions [, lengthScale ])

Description

Sets the lengths and directions for the vectors.
ChartDirector supports specifying the vector lengths and directions directly, or indirectly as the lengths and directions from the reference points to the reference end points. This is controlled by lengthScale as described in the following table.

Constant | Value | Description
--- | --- | ---
PixelScale | 0 | The lengths are measured in pixels. The angles are measured clockwise in degrees, with the upwards position as 0.
RadialAxisScale | 2 | radial axis scale
EndPoints | 3 | The vector lengths and directions are measured as the lengths and directions between the reference points and the reference end points.

Arguments

Argument | Default | Description
--- | --- | ---
lengths | (Mandatory) | An array of numbers representing either the lengths of the vectors or the radial coordinates of the reference end points, depending on lengthScale.
directions | (Mandatory) | An array of numbers representing either the directions of the vectors or the angular coordinates of the reference end points, depending on lengthScale.
lengthScale | PixelScale | The method to specify vector lengths and directions, which must be one of the predefined constants in the table above.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.